%define upstream_name    Eval-Context
%define upstream_version 0.09.11

Name:       perl-%{upstream_name}
Epoch:      1
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Evaluate perl code in context wrapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz
# Perl 5.18 comptability, CPAN RT#86017
Patch0:     Eval-Context-0.09.11-hash-randomization.patch
# Fix failing test t/012_safe.t, CPAN RT#150480
Patch1:     Eval-Context-0.09.11-adapt-test-for-Data-TreeDumper-0.41.patch
# Fix failing tests related to change of import in perl 5.39.1, CPAN RT#153484
Patch2:     Eval-Context-0.09.11-Adapt-test-for-change-of-import.patch
# Fix failing tests with perl 5.40.0, bug #2292371, CPAN RT#153484
Patch3:     Eval-Context-0.09.11-Adapt-tests-to-perl-5.40.0.patch

BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::TreeDumper)
BuildRequires: perl(Directory::Scratch::Structured)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Package::Generator)
BuildRequires: perl(Readonly)
BuildRequires: perl(Safe)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Symbol)
BuildRequires: perl(Term::Size)
BuildRequires: perl(Test::Block)
BuildRequires: perl(Test::Dependencies)
BuildRequires: perl(Test::Distribution)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Spelling)
BuildRequires: perl(Test::Strict)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Module::Build::Compat)

BuildArch:  noarch


%description
This module define a subroutine that let you evaluate Perl code in a
specific context. The code can be passed directly as a string or as a file
name to read from. It also provides some subroutines to let you define and
optionally share variables and subroutines between your code and the code
you wish to evaluate. Finally there is some support for running your code
in a safe compartment.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export LC_ALL=C
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Eval


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 1:0.9.11-11.mga10
+ Revision: 2143829
- add fedora patches to fix build

* Tue Mar 22 2022 umeabot <umeabot> 1:0.9.11-10.mga9
+ Revision: 1817133
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.9.11-9.mga8
+ Revision: 1494444
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:0.9.11-8.mga7
+ Revision: 1267859
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.9.11-7.mga6
+ Revision: 1026937
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1:0.9.11-6.mga6
+ Revision: 932187
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.11-5.mga5
+ Revision: 745303
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1:0.9.11-3.mga4
+ Revision: 538449
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 1:0.9.11-2.mga4
+ Revision: 489718
- Fix test (patch from Debian)

* Sun Jan 13 2013 umeabot <umeabot> 1:0.9.11-2.mga3
+ Revision: 366921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 1:0.9.11-1.mga1
+ Revision: 38290
- mageia rebuild
- imported package perl-Eval-Context


* Thu Feb 25 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.9.11-1mdv2010.1
+ Revision: 511041
- bump epoch
- update to 0.09.11

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.1
+ Revision: 505731
- rebuild using %%perl_convert_version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.07-2mdv2010.0
+ Revision: 440554
- rebuild

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 343865
- workaround strange perlcritic failures with build bot
- new release
- import perl-Eval-Context


* Sun Jun 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.0
- first mdv release
